Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.anim.timing
Class OffsetTimingSpecifier

    java.lang.Object
      org.apache.batik.anim.timing.TimingSpecifier
          org.apache.batik.anim.timing.OffsetTimingSpecifier

Direct Known Subclasses:
  EventLikeTimingSpecifier, SyncbaseTimingSpecifier

    public class OffsetTimingSpecifier

extends TimingSpecifier

A class to handle offset SMIL timing specifiers.

Field Summary
`protected float` | `offset` The offset value.

Fields inherited from class org.apache.batik.anim.timing.TimingSpecifier
`isBegin, owner`

Constructor Summary
`OffsetTimingSpecifier(TimedElement owner, boolean isBegin, float offset)` Creates a new OffsetTimingSpecifier object.

Method Summary
`void` | `initialize()` Initializes this timing specifier by adding the initial instance time to the owner's instance time list or setting up any event listeners.
`boolean` | `isEventCondition()` Returns whether this timing specifier is event-like (i.e., if it is an eventbase, accesskey or a repeat timing specifier).
`String` | `toString()` Returns a string representation of this timing specifier.

Methods inherited from class org.apache.batik.anim.timing.TimingSpecifier
`deinitialize, getOwner, isBegin`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### offset

    protected float offset

  The offset value.

Constructor Detail

### OffsetTimingSpecifier

    public OffsetTimingSpecifier(TimedElement owner,
                                 boolean isBegin,
                                 float offset)

  Creates a new OffsetTimingSpecifier object.

Method Detail

### toString

    public String toString()

  Returns a string representation of this timing specifier.

  Overrides:
    `toString` in class `Object`

### initialize

    public void initialize()

  Initializes this timing specifier by adding the initial instance time to the owner's instance time list or setting up any event listeners.

  Overrides:
    `initialize` in class `TimingSpecifier`

### isEventCondition

    public boolean isEventCondition()

  Returns whether this timing specifier is event-like (i.e., if it is an eventbase, accesskey or a repeat timing specifier).

  Specified by:
    `isEventCondition` in class `TimingSpecifier`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Apache Software Foundation. All Rights Reserved.